/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Period.h"
#include <stdio.h>
#include <time.h>


void main(void)
{
  int i;
  char *to = new char[50];
  time_t atime;
  Period *p;

  printf("Construct a period\n");
  p = new Period(time(NULL));

  printf("Add 7 lines for the period\n");
  for (i = 0; i < 7; i++)
    {
      p->addLine();
    }
  
  printf("Date : \n");
  atime = p->getDate();
  to = ctime(&atime);
  printf("%s", to);
  printf("Number of lines : %i\n", p->getNbLines());
  
  delete p;
}





